Package org.snpeff.interval.codonChange

# Class CodonChangeMixed

java.lang.Object
org.snpeff.interval.codonChange.CodonChange
org.snpeff.interval.codonChange.CodonChangeMnp
org.snpeff.interval.codonChange.CodonChangeMixed

public class CodonChangeMixed extends CodonChangeMnp
Calculate codon changes produced by a 'mixed' variant Essentially every 'mixed' variant can be represented as a concatenation of a SNP/MNP + an INS/DEL

Author:
  pcingola

## Field Summary

Fields
Modifier and Type
Field
Description
`static boolean`
`debug`

### Fields inherited from class org.snpeff.interval.codonChange.CodonChange

`CODON_SIZE, showCodonChange`

## Constructor Summary

Constructors
Constructor
Description
`CodonChangeMixed(Variant variant, Transcript transcript, VariantEffects variantEffects)`

## Method Summary

Modifier and Type
Method
Description
`void`
`codonChange()`
Calculate a list of codon changes

### Methods inherited from class org.snpeff.interval.codonChange.CodonChangeMnp

`codonOldNew, codonsAlt, codonsRef, netCdsChange`

### Methods inherited from class org.snpeff.interval.codonChange.CodonChange

`additionalEffect, cdsBaseNumber, codonChange, codonsRef, effect, effectNoCodon, effectNoCodon, factory, intersectsExons, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### debug

public static boolean debug

## Constructor Details

### CodonChangeMixed

public CodonChangeMixed(Variant variant, Transcript transcript, VariantEffects variantEffects)

## Method Details

### codonChange

public void codonChange()
Description copied from class: `CodonChangeMnp`
Calculate a list of codon changes

Overrides:
  `codonChange` in class `CodonChangeMnp`